[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TWinControl.CMEnabledChanged

Handler signalled when the Enabled property has been changed.

## Declaration

Source position: controls.pp line 2199

`protected procedure TWinControl.CMEnabledChanged(`
`var Message: TLMessage`
`); message;`

## Arguments

`Message` |  | CM_ENABLEDCHANGED control message which triggered the handler.

## Description

If the control is not Enabled and has a Parent control, the RemoveFocus method is called to defocus the control on its Parent form. If the window Handle has been allocated for the control, the EnableWindow routine in the LCL interface is called to set the enabled state for the handle.

CMEnabledChanged calls the inherited method prior to exit to Invalidate the control.

## See also

TWinControl.RemoveFocus |  | Notifies the parent Form when the control cannot be focused.
TControl.Enabled |  | Determines whether the control responds to mouse or keyboard input.
TControl.CMEnabledChanged |  | Handles a CM_ENABLEDCHANGED message for the control.
TControl.Invalidate |  | Causes a delayed Repaint of the control by marking its visible area of the control as invalid.